Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#16390 closed defect (fixed)

"make 'test-stem'" failed for Python 3.4.1

Reported by: toralf Owned by: atagar
Priority: Medium Milestone:
Component: Core Tor/Stem Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Today with tor-0.2.7.1-alpha-152-g130a9c0 and stem 1.4.1-39-gb605836 I get :

  tutorial_examples...                                 failed (0.04s)
test_compare_flags                                           [FAILURE]

...

Shutting down tor... done

Static error checking requires pyflakes version 0.7.3 or later. Please install it from ...
  http://pypi.python.org/pypi/pyflakes

Style checks require pep8 version 1.4.2 or later. Please install it from...
  http://pypi.python.org/pypi/pep8

TESTING FAILED (111 seconds)
  [UNIT TEST] test_compare_flags (test.unit.tutorial_examples.TestTutorialExamples) ... FAIL

You can re-run just these tests with:

  /home/tfoerste/devel/stem/run_tests.py --tor ./src/or/tor --all --log notice --target RUN_ALL --test test.unit.tutorial_examples
Makefile:6781: recipe for target 'test-stem' failed
make: *** [test-stem] Error 1

pyflakes-0.8.1 is installed, pep8-1.5.7 too

FWIW, with 3.3.5 I do get :

  tutorial.tutorial_examples...                        no such test

Child Tickets

Change History (3)

comment:1 Changed 4 years ago by toralf

ick, 3.4.1 is buggy in Gentoo - so that might caused the first mentioned issue, but nevertheless, 3.3.5 has an issue too.

comment:2 Changed 4 years ago by toralf

Resolution: fixed
Status: newclosed

issue went away after b605836..980022b

*shrug*

comment:3 Changed 4 years ago by atagar

Great, glad it's no longer a thing. For what it's worth I filed #16299 when you mentioned this on irc a while back.

Note: See TracTickets for help on using tickets.